Results 1 to 7 of 7

Thread: SuiteSparse Dependency on Gentoo

  1. #1
    Join Date
    Feb 2014
    Posts
    4

    Default SuiteSparse Dependency on Gentoo

    For some reason phoronix-test-suite. Seems to think that the SuiteSparse Dependency is not installed on my Gentoo system. Even though I have sci-libs/suitesparse-4.0.2 emerged already. I'm currently using PTS 5.0.1, but have also tried 4.83 and 4.86. With the same results. Have even tried wiping my .phoronix-test-suite directory.

    Any other info that might be needed let me know.

    Paul.

  2. #2

    Default

    Where is SuiteSparse installed to on your system?

  3. #3
    Join Date
    Feb 2014
    Posts
    4

    Default

    It looks like sci-libs/suitesparse is a meta ebuild. And so there are no files that are installed with that ebuild. But it does pull in other ebuilds when emerged.

    Is there a specific file or files that PTS is looking for? It might be that I don't have a certain use flag enabled and so a necessary ebuild is not being emerged.

  4. #4

    Default

    The external dependency is looking for suitesparse/cs.h and libcsparse.so, as two common suitesparce files.

  5. #5
    Join Date
    Feb 2014
    Posts
    4

    Default

    Doing a search at www.portagefilelist.de for libcsparse.so. Results in sci-libs/csparse as being the ebuild that contains that file. However the sci-libs/csparse ebuild is now dead and is not available in the portage repository. I downloaded the suitesparse-4.0.2.tar.gz package directly and it looks like csparse has been replaced with cxsparse.

    I did notice that there is an ebuild called sci-libs/cxsparse that has been emerged on my system. Which does contain the file /usr/lib64/libcxsparse.so and /usr/include/cs.h. So it makes me think that PTS should be looking for those files?

  6. #6
    Join Date
    Feb 2014
    Posts
    4

    Default

    Doing a search at www.portagefilelist.de for libcsparse.so. Results in sci-libs/csparse as being the ebuild that contains that file. However the sci-libs/csparse ebuild is now dead and is no longer available in the portage repository or any of the overlay repositories. I downloaded the suitesparse-4.0.2.tar.gz package directly and it looks like csparse has been replaced with cxsparse.

    I did notice that there is an ebuild called sci-libs/cxsparse that has been emerged on my system. Which does contain the file /usr/lib64/libcxsparse.so and /usr/include/cs.h. So it makes me think that PTS should be looking for those files?

  7. #7

    Default

    Quote Originally Posted by paulc View Post
    Doing a search at www.portagefilelist.de for libcsparse.so. Results in sci-libs/csparse as being the ebuild that contains that file. However the sci-libs/csparse ebuild is now dead and is no longer available in the portage repository or any of the overlay repositories. I downloaded the suitesparse-4.0.2.tar.gz package directly and it looks like csparse has been replaced with cxsparse.

    I did notice that there is an ebuild called sci-libs/cxsparse that has been emerged on my system. Which does contain the file /usr/lib64/libcxsparse.so and /usr/include/cs.h. So it makes me think that PTS should be looking for those files?
    Thanks for doing the checking, I've gone ahead and updated the file check within PTS Git:

    https://github.com/phoronix-test-sui...c4497b0ed9f567

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •